# Function: wrapAngularDevkitSchematic

▸ **wrapAngularDevkitSchematic**(`collectionName`, `generatorName`): (`host`: `Tree`, `generatorOptions`: { `[k: string]`: `any`; }) => `Promise`<`any`\>

#### Parameters

| Name             | Type     |
| :--------------- | :------- |
| `collectionName` | `string` |
| `generatorName`  | `string` |

#### Returns

`fn`

▸ (`host`, `generatorOptions`): `Promise`<`any`\>

##### Parameters

| Name               | Type     |
| :----------------- | :------- |
| `host`             | `Tree`   |
| `generatorOptions` | `Object` |

##### Returns

`Promise`<`any`\>
